Bug 445713 - tsc going back bug
Summary: tsc going back bug
Status: CLOSED DUPLICATE of bug 443435
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: i386
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-08 18:10 UTC by Alok Kataria
Modified: 2008-05-27 17:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 17:55:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for tsc going back problem. (4.24 KB, patch)
2008-05-08 18:10 UTC, Alok Kataria
no flags Details | Diff

Description Alok Kataria 2008-05-08 18:10:57 UTC
Description of problem:

There were a few recent reports of tsc going back on LKML, as a result of which
there could be cases when time (gettimeofday) jumps in the future.
http://lkml.org/lkml/2007/8/23/96
http://lkml.org/lkml/2008/3/31/23

I did some kernel instrumentation on the recent RHEL5.1 kernel 
2.6.18-53.1.19.el5, and see that read_tsc does jump back once in a while on my
dual core box. As a result the value returned from read_tsc <
clocksource->cycle_last value, which results in large values of offset due to
the unsigned arithmetic involved (have a look at update_wall_time). Eventually
results in some bogus gettimeofday values.

There was a fix for this problem from Thomas Gleixner which was included in the
2.6.26-rc1 tree. 
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=d8bb6f4c1670c8324e4135c61ef07486f7f17379

Attached is a backport of this fix. This is required on all RHEL kernels that
use clocksource. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alok Kataria 2008-05-08 18:10:57 UTC
Created attachment 304882 [details]
fix for tsc going back problem.

Comment 2 Prarit Bhargava 2008-05-12 12:53:22 UTC

*** This bug has been marked as a duplicate of 443435 ***

Comment 3 Alok Kataria 2008-05-12 23:21:30 UTC
(In reply to comment #2)
> 
> *** This bug has been marked as a duplicate of 443435 ***

I am not authorized to access that BUG, 
It says

"You are not authorized to access bug #443435.

Access to some bugs is restricted due to embargoed security issues or respect
for customer and partner information which must remain confidential."

Is there a way that I can look at that BUG ? Maybe you can add me to the CC list
for bug #443435 ?

Thanks,
Alok

Comment 4 Alok Kataria 2008-05-15 01:14:23 UTC
(In reply to comment #2)
> 
> *** This bug has been marked as a duplicate of 443435 ***

Prarit,

Let me know if there is anyway to access that bug #443435. 

Comment 5 Alok Kataria 2008-05-16 00:49:30 UTC
Still need access to bug #443435
Need to know if you guys already have the fix and if so which kernel release is
going to have that fix.

Thanks,
Alok

(In reply to comment #3)
> (In reply to comment #2)
> > 
> > *** This bug has been marked as a duplicate of 443435 ***
> 
> I am not authorized to access that BUG, 
> It says
> 
> "You are not authorized to access bug #443435.
> 
> Access to some bugs is restricted due to embargoed security issues or respect
> for customer and partner information which must remain confidential."
> 
> Is there a way that I can look at that BUG ? Maybe you can add me to the CC list
> for bug #443435 ?
> 
> Thanks,
> Alok



Comment 6 Prarit Bhargava 2008-05-27 17:55:09 UTC
Alok, the latest RHEL5 kernel has this patch.

P.

*** This bug has been marked as a duplicate of 443435 ***


Note You need to log in before you can comment on or make changes to this bug.